## UDisksLinuxBlock

UDisksLinuxBlock — Linux implementation of UDisksBlock

## Functions

UDisksBlock * | udisks_linux_block_new ()
void | udisks_linux_block_update ()
gboolean | udisks_linux_block_matches_id ()

## Types and Values

| UDisksLinuxBlock

## Object Hierarchy

        GObject
        ╰── GDBusInterfaceSkeleton
            ╰── UDisksBlockSkeleton
                ╰── UDisksLinuxBlock

## Implemented Interfaces

UDisksLinuxBlock implements GDBusInterface and UDisksBlock.

## Description

This type provides an implementation of the UDisksBlock interface on Linux.

## Functions

### udisks_linux_block_new ()

    UDisksBlock *
    udisks_linux_block_new (void);

Creates a new UDisksLinuxBlock instance.

#### Returns

A new UDisksLinuxBlock. Free with `g_object_unref()`.

### udisks_linux_block_update ()

    void
    udisks_linux_block_update (UDisksLinuxBlock *block,
                               UDisksLinuxBlockObject *object);

Updates the interface.

#### Parameters

block | A UDisksLinuxBlock. |
object | The enclosing UDisksLinuxBlockObject instance. |

### udisks_linux_block_matches_id ()

    gboolean
    udisks_linux_block_matches_id (UDisksLinuxBlock *block,
                                   const gchar *device_path);

Compares block device identifiers and returns `TRUE` if match is found. The `device_path` argument may be a device file or a common KEY=VALUE identifier as used e.g. in /etc/fstab.

#### Parameters

block | A UDisksLinuxBlock. |
device_path | A device path string. |

#### Returns

`TRUE` when identifiers do match, `FALSE` otherwise.

## Types and Values

### UDisksLinuxBlock

    typedef struct _UDisksLinuxBlock UDisksLinuxBlock;

The UDisksLinuxBlock structure contains only private data and should only be accessed using the provided API.